Skip to main content
POST
/
market_service.v1.MarketService
/
GetMarketIdByName
GetMarketIdByName
curl --request POST \
  --url https://api.fortedex.io/market_service.v1.MarketService/GetMarketIdByName \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assetSymbol": "<string>",
  "quoteSymbol": "<string>"
}
'
{
  "marketId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fairground.fi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
default:1
required

Define the version of the Connect protocol. If omitted, use 1.

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
assetSymbol
string
quoteSymbol
string | null

Response

Success

marketId
string<int64>